gpo.zugaina.org

Search Portage & Overlays:

dev-ruby/oauth2

Wrapper for the OAuth 2.0 protocol with a similar style to the OAuth gem

Screenshots

  • oauth2-1.4.10
    ~amd64 ~ppc ~ppc64 ~x86
    test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 doc test test

    View      Download      Browse     License: MIT   
    Overlay: gentoo
  • oauth2-1.4.7
    ~amd64 ~ppc ~ppc64 ~x86
    test ruby_targets_ruby26 ruby_targets_ruby27 ruby_targets_ruby30 doc test test

    View      Download      Browse     License: MIT   
    Overlay: gentoo

Runtime Dependencies

oauth2-1.4.10


ruby_targets_ruby27?
      ( ||
            ( dev-ruby/faraday:2[ruby_targets_ruby27
                  (-)
            ] dev-ruby/faraday:1[ruby_targets_ruby27
                  (-)
            ] )
       dev-ruby/jwt:2[ruby_targets_ruby27
            (-)
      ] >=dev-ruby/multi_json-1.3[ruby_targets_ruby27
            (-)
      ] =dev-ruby/multi_json-1*[ruby_targets_ruby27
            (-)
      ] >=dev-ruby/multi_xml-0.5:0[ruby_targets_ruby27
            (-)
      ] >=dev-ruby/rack-1.2:*[ruby_targets_ruby27
            (-)
      ] <dev-ruby/rack-3:*[ruby_targets_ruby27
            (-)
      ] )

ruby_targets_ruby30?
      ( ||
            ( dev-ruby/faraday:2[ruby_targets_ruby30
                  (-)
            ] dev-ruby/faraday:1[ruby_targets_ruby30
                  (-)
            ] )
       dev-ruby/jwt:2[ruby_targets_ruby30
            (-)
      ] >=dev-ruby/multi_json-1.3[ruby_targets_ruby30
            (-)
      ] =dev-ruby/multi_json-1*[ruby_targets_ruby30
            (-)
      ] >=dev-ruby/multi_xml-0.5:0[ruby_targets_ruby30
            (-)
      ] >=dev-ruby/rack-1.2:*[ruby_targets_ruby30
            (-)
      ] <dev-ruby/rack-3:*[ruby_targets_ruby30
            (-)
      ] )

ruby_targets_ruby31?
      ( ||
            ( dev-ruby/faraday:2[ruby_targets_ruby31
                  (-)
            ] dev-ruby/faraday:1[ruby_targets_ruby31
                  (-)
            ] )
       dev-ruby/jwt:2[ruby_targets_ruby31
            (-)
      ] >=dev-ruby/multi_json-1.3[ruby_targets_ruby31
            (-)
      ] =dev-ruby/multi_json-1*[ruby_targets_ruby31
            (-)
      ] >=dev-ruby/multi_xml-0.5:0[ruby_targets_ruby31
            (-)
      ] >=dev-ruby/rack-1.2:*[ruby_targets_ruby31
            (-)
      ] <dev-ruby/rack-3:*[ruby_targets_ruby31
            (-)
      ] )

ruby_targets_ruby27?
      ( dev-lang/ruby:2.7 )

ruby_targets_ruby30?
      ( dev-lang/ruby:3.0 )

ruby_targets_ruby31?
      ( dev-lang/ruby:3.1 )

ruby_targets_ruby27?
      ( virtual/rubygems[ruby_targets_ruby27
            (-)
      ] )

ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30
            (-)
      ] )

ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31
            (-)
      ] )

oauth2-1.4.7


ruby_targets_ruby26?
      ( >=dev-ruby/faraday-0.8[ruby_targets_ruby26
            (-)
      ] <dev-ruby/faraday-2.0[ruby_targets_ruby26
            (-)
      ] dev-ruby/jwt:2[ruby_targets_ruby26
            (-)
      ] >=dev-ruby/multi_json-1.3[ruby_targets_ruby26
            (-)
      ] =dev-ruby/multi_json-1*[ruby_targets_ruby26
            (-)
      ] >=dev-ruby/multi_xml-0.5:0[ruby_targets_ruby26
            (-)
      ] >=dev-ruby/rack-1.2:*[ruby_targets_ruby26
            (-)
      ] <dev-ruby/rack-3:*[ruby_targets_ruby26
            (-)
      ] )

ruby_targets_ruby27?
      ( >=dev-ruby/faraday-0.8[ruby_targets_ruby27
            (-)
      ] <dev-ruby/faraday-2.0[ruby_targets_ruby27
            (-)
      ] dev-ruby/jwt:2[ruby_targets_ruby27
            (-)
      ] >=dev-ruby/multi_json-1.3[ruby_targets_ruby27
            (-)
      ] =dev-ruby/multi_json-1*[ruby_targets_ruby27
            (-)
      ] >=dev-ruby/multi_xml-0.5:0[ruby_targets_ruby27
            (-)
      ] >=dev-ruby/rack-1.2:*[ruby_targets_ruby27
            (-)
      ] <dev-ruby/rack-3:*[ruby_targets_ruby27
            (-)
      ] )

ruby_targets_ruby30?
      ( >=dev-ruby/faraday-0.8[ruby_targets_ruby30
            (-)
      ] <dev-ruby/faraday-2.0[ruby_targets_ruby30
            (-)
      ] dev-ruby/jwt:2[ruby_targets_ruby30
            (-)
      ] >=dev-ruby/multi_json-1.3[ruby_targets_ruby30
            (-)
      ] =dev-ruby/multi_json-1*[ruby_targets_ruby30
            (-)
      ] >=dev-ruby/multi_xml-0.5:0[ruby_targets_ruby30
            (-)
      ] >=dev-ruby/rack-1.2:*[ruby_targets_ruby30
            (-)
      ] <dev-ruby/rack-3:*[ruby_targets_ruby30
            (-)
      ] )

ruby_targets_ruby26?
      ( dev-lang/ruby:2.6 )

ruby_targets_ruby27?
      ( dev-lang/ruby:2.7 )

ruby_targets_ruby30?
      ( dev-lang/ruby:3.0 )

ruby_targets_ruby26?
      ( virtual/rubygems[ruby_targets_ruby26
            (-)
      ] )

ruby_targets_ruby27?
      ( virtual/rubygems[ruby_targets_ruby27
            (-)
      ] )

ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30
            (-)
      ] )